package com.m2pool.pool;

import com.m2pool.common.swagger.annotation.EnableCustomSwagger2;
import com.m2pool.common.security.annotation.EnableCustomConfig;
import com.m2pool.common.security.annotation.EnableM2PoolFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * @Description pool服务入口类
 * @Date 2024/6/14 13:42
 * @Author dy
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableM2PoolFeignClients
@SpringBootApplication
@MapperScan({"com.m2pool.pool.mapper"})
public class M2PoolApplication {

    @Bean
    public RestTemplate restTemplate(){
        return new RestTemplate();
    }

    public static void main(String[] args) {
        SpringApplication.run(M2PoolApplication.class,args);
        System.out.println("m2pool矿池微服务启动成功");
    }

}
